<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->
<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gazelle="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <br/>
    <h:outputText id="#{filterId}SingleValue"
                  value="#{filter.formatters[filterId].formatLabel(filter.possibleValues[filterId].get(0))}"
                  style="font-weight:bold;text-align:center;"
                  rendered="#{filter.possibleValues[filterId].size() eq 1}"/>
    <h:outputText id="#{filterId}NoValue" value="-" style="font-weight:bold;text-align:center;"
                  rendered="#{filter.possibleValues[filterId].size() eq 0}"/>
    <h:selectOneMenu id="#{filterId}Select" value="#{filter.filterValues[filterId]}"
                     styleClass="form-control gzl-form-control gzl-select-text" converter="#{filter.getConverter(filterId)}"
                     rendered="#{filter.possibleValues[filterId].size() gt 1}">
        <s:selectItems value="#{filter.possibleValues[filterId]}" var="selectedValue"
                       noSelectionLabel="#{messages['gazelle.common.button.ShowAll']}"
                       label="#{filter.formatters[filterId].format(selectedValue)}"/>
        <a4j:ajax event="change" render="#{filterForm}" execute="@this"/>
    </h:selectOneMenu>
</ui:composition>
